# CylinderGeometryUpdater

#### new Cesium.CylinderGeometryUpdater(entity, scene)
DataSources/CylinderGeometryUpdater.js 50

A `GeometryUpdater` for cylinders. Clients do not normally create this class directly, but instead rely on `DataSourceDisplay`.

Name | Type | Description
--- | --- | ---
`entity` | Entity | The entity containing the geometry to be visualized.
`scene` | Scene | The scene where visualization is taking place.

### Methods

#### createFillGeometryInstance(time) → GeometryInstance
DataSources/CylinderGeometryUpdater.js 90

Creates the geometry instance which represents the fill of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the filled portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent a filled geometry.

#### createOutlineGeometryInstance(time) → GeometryInstance
DataSources/CylinderGeometryUpdater.js 143

Creates the geometry instance which represents the outline of the geometry.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to use when retrieving initial attribute values.

##### Returns:

The geometry instance representing the outline portion of the geometry.

##### Throws:

- DeveloperError : This instance does not represent an outlined geometry.